Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/27/2019 in all areas

  1. Starter for 10 (setq ss (ssget '((0. "POINT,TEXT"))))
    1 point
  2. This: (setq ss (ssget '((0. "POINT")))) Needs to be this: (setq ss (ssget '((0 . "POINT"))))
    1 point
  3. ;;; ;;; ;;; (defun c:ztol (/ z f ss i en ed p e c) (initget 1) (setq z (getdist "\nElevation: ")) (initget 7) (setq f (getdist "\nTolerence: ")) (and (princ "\nSelect Points...") (setq ss (ssget '((0 . "POINT")))) (setq i 0) (while (setq en (ssname ss i)) (setq ed (entget en)) (setq p (cdr (assoc 10 ed))) (setq e (caddr p)) (cond ((equal e z f) (setq c 2)) ((< e (- z f)) (setq c 1)) ((> e (+ z f)) (setq c 3))) (entmod (append ed (list (cons 62 c)))) (setq i (1+ i)))) (command "_.REGENALL") (princ"\nRed Below : Green Above : Yellow Within Tolerance") (prin1)) The routine could look like this Dealing with the text could be a whole different ball game. -David
    1 point
  4. Are you on Linkedin, they do a lot of courses and a 30 day trial period, so if you only have a few days you should be good. Heres one take a look at the preview.
    1 point
  5. I don't do a lot in 3d but brush up on the not so obvious, rotate3d and setting UCS to 3d planes. Extrude along 3d paths doesn't always work the way you want. Others here will suggest.
    1 point
  6. If you add a wipeout to your door block it will give impression of a break in the wall. Must pull all objects above wipeout using Draworder. The doors in the image punch holes in walls and are user sized not blocks, same with offset from adjacent corner.
    1 point
  7. In terms of basic 2D Autocad, in many cases it's completely fine to just insert the door and frame without having to trim. I have typical blocks for all of my interior and exterior doors (on their own door layer). I copy what I want and ctrl+shift+v to paste each door and window assembly in as a block on that layer. My exterior walls I usually don't ever trim those. Interior walls - sometimes but usually it's not necessary for basic floor plan linework. As long as the door and its swing are present, it's clear in the floor plan what the intent is. It never really has to be 100% perfect either. It's all conceptual in the end. I also have typical offsets I maintain. So for 3'-0" doors I maintain 24" from CL of door to adjacent framing. This allows plenty of room for the framing work at the jambs. -ChriS
    1 point
  8. There are some door lisp's out there that will "BREAK" the wall and insert a door with arc etc. Just do a search. Some use dynamic blocks which is the way to go. The image is from a design package add on.
    1 point
  9. There are many ways to do this. One way is to construct a rectangle (actually a square) with the dimensions of the door. For example, let's say the door is 30" wide. Using rectangle create a 30 x 30 square and then position a copy of it where you want the door opening. If a wall is not horizontal or vertical use align to position the square. Now use the square with the trim command to cut the lines.
    1 point
×
×
  • Create New...